std::scoped_allocator_adaptor::(3)

NAME
std::scoped_allocator_adaptor:: - std::scoped_allocator_adaptor::

Synopsis
   Defined in header <scoped_allocator>
   scoped_allocator_adaptor select_on_container_copy_construction() (since C++11)
   const;
   Creates a new instance of std::scoped_allocator_adaptor, where the outer allocator
   base class and each inner allocator subobject are obtained by calling
   std::allocator_traits<A>::select_on_container_copy_construction().

Parameters
   (none)

Return value
   A new std::scoped_allocator_adaptor object, constructed from correctly copied
   allocators.

See also
                        obtains the allocator to use after copying a
   select_on_container_copy_construction standard container
   [static] (public static member function of
                        std::allocator_traits<Alloc>)